# should be vendor 'fedora', but that would break upgrades for
# people who have linked the desktop icon
%define desktopvendor redhat

Summary: GTK+ based, lightweight, and fast email client
Name: sylpheed
Version: 2.5.0
Release: 0.8.rc2%{?dist}
License: GPLv2+
URL: http://sylpheed.sraoss.jp/
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
BuildRequires: gtk2-devel openssl-devel
BuildRequires: desktop-file-utils pkgconfig gettext xdg-utils
%{!?_without_gpgme:BuildRequires: gpgme-devel}
%{!?_without_compface:BuildRequires: compface-devel}
%{!?_without_ldap:BuildRequires: openldap-devel}
%{?_with_oniguruma:BuildRequires: oniguruma-devel}
%{?_with_jpilot:BuildRequires: jpilot-devel}
BuildRequires: gtkspell-devel 
%if 0%{?fedora} > 8
BuildRequires: enchant-devel
%endif
Source0: http://sylpheed.sraoss.jp/sylpheed/v2.5beta/sylpheed-2.5.0rc2.tar.bz2
#Source0: http://sylpheed.sraoss.jp/sylpheed/v2.4/%{name}-%{version}.tar.bz2
Source1: sylpheed.1

Patch1: sylpheed-2.4.6-defs.h.patch
Patch2: sylpheed-2.5.0rc-desktop.patch
Patch3: sylpheed-2.3.1-certsdir.patch
Patch4: sylpheed-2.2.5-prefs_common.patch
%if 0%{?fedora} > 8
Patch5: sylpheed-2.4.8-enchant.patch
%endif

# For xdg-open in patch1.
Requires: xdg-utils

%description
This program is an X based fast email client which has features
like:
o user-friendly and intuitive interface
o integrated NetNews client (partially implemented)
o ability of keyboard-only operation
o Mew/Wanderlust-like key bind
o multipart MIME
o unlimited multiple account handling
o message queueing
o assortment function
o XML-based address book

See /usr/share/doc/sylpheed*/README for more information.

%prep
%setup -q -n sylpheed-2.5.0rc2
%patch1 -p1 -b .defs.h
%patch2 -p1 -b .desktop
%patch3 -p1 -b .certsdir
%patch4 -p1 -b .prefs_common
%if 0%{?fedora} > 8
%patch5 -p1 -b .enchant
%endif

%build
%configure --enable-ssl %{!?_without_gpgme:--enable-gpgme} \
    %{?_without_compface:--disable-compface} \
    %{!?_without_ldap:--enable-ldap} \
    %{?_with_oniguruma:--enable-oniguruma} \
    %{?_with_jpilot:--enable-jpilot}
echo "#define LDAP_DEPRECATED 1" >> config.h
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 644 sylpheed-64x64.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/sylpheed.png
[ ! -f ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop ] && exit 1
desktop-file-install --vendor %{desktopvendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --remove-category Application \
    --add-category Network \
    --delete-original \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
install -d $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog README INSTALL TODO
%doc ChangeLog.ja README.ja INSTALL.ja TODO.ja
%doc AUTHORS NEWS
%{_bindir}/sylpheed
%{_datadir}/sylpheed/
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Sun Jun  8 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.8.rc2
- avoid duplicate desktop menu entry
- conditional BR oniguruma-devel and --enable-oniguruma

* Fri Jun  6 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.7.rc2
- Update to 2.5.0rc2.

* Thu Jun  5 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.6.rc
- Add CTE procmime.c patch from svn.
- Fix codeconv.c to support "utf8" locales and not just "UTF-8"
  (fixes #450063).

* Thu May 22 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.4.rc
- Fix glibc double-free/invalidptr in src/summaryview.c
  (assumably also fixes #447815).

* Tue May 20 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.3.rc
- Update to 2.5.0rc (bug-fixes, enhancements).

* Thu May 15 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.2.beta3
- desktop-file: validate for F9+

* Fri Apr 25 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.1.beta3
- Update to 2.5.0beta3 (two minor features added).

* Mon Apr 14 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.1.beta2
- Update to 2.5.0beta2 (several added features, few bug-fixes).

* Fri Feb 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.0-0.1.beta1
- Update to 2.5.0beta1 (bug-fixes and few added features).

* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.8-3
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Wed Jan 23 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.8-2
- Compile with deprecated OpenLDAP API to fix segfaults on 64-bit.

* Sun Dec 23 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.8-1
- Patch spell-checking support. Retrieve list of dictionaries from
  Enchant instead of Aspell, because GtkSpell no longer uses Aspell.
- BR enchant-devel
- Update to 2.4.8 (accumulated bug-fixes).

* Mon Dec 17 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.7-4
- Upstreamed patch lead to discovery of similar memory leaks in syldap.c

* Wed Dec 05 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.7-3
- rebuilt for new openldap/openssl per request on fedora-devel-list
- in desktop file use absolute path to icon file

* Fri Nov 02 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.7-2
- Patch a memory leak and glib critical warning in LDAP syldap.c.

* Fri Oct 05 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.7-1
- Update to 2.4.7 (bug-fixes).
- Add more %%doc files.

* Tue Oct 02 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.6-2
- Require xdg-utils and use xdg-open instead of gnome-open in defs.h
  patch.

* Wed Sep 19 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.6-1
- Update to 2.4.6 (bug-fixes, but also minor feature additions
  and rewrites).

* Fri Aug 31 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.5-1
- Update to 2.4.5 (accumulated bug-fixes).

* Fri Aug 24 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.4-3
- Patch POP3 format string vulnerability CVE-2007-2958 (#254123).

* Tue Aug 21 2007 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Sat Jul 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.4-1
- Update to 2.4.4.

* Fri Jun 29 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.3-1
- Update to 2.4.3.

* Mon May 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.4.2-1
- Update to 2.4.2 (new stable branch).
- Prune %%changelog entries which date back as far as Jul 4 2000
  and Sylpheed 0.3.2.

* Fri May 18 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.3.1-4
- Backport patch for libsylph to improve/fix handling of escapes
  and quotes in headers.

* Sun May 13 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.3.1-3
- Patch PGP/MIME signed message compose, so it doesn't strip off
  whitespace of the "-- " body signature delimiter. It's upstream
  preference that it still does that for ISO 2022 JP to be compatible
  with a few broken MUAs that have problems with QP encoding.
- Remove .desktop categories "Application" and "X-Fedora".

* Sat Apr 21 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.3.1-2
- Patch APOP vulnerability (CVE-2007-1558) as in 2.4.0.
- Patch default directory for SSL/TLS certificates.

* Wed Jan 17 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1.

* Sat Dec 23 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0 (new stable branch).

* Thu Nov 16 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.10-1
- Update to 2.2.10 (recommended bug-fixes only).

* Mon Oct 02 2006 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Sat Sep 23 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.9-1
- Update to 2.2.9 (also works around #201949).
- New upstream URLs.

* Fri Sep  8 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.7-3
- Set StartupWMClass in desktop file.

* Fri Sep 01 2006 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Mon Jul 31 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.7-1
- Update to 2.2.7 (includes patches from 2.2.6-2 and -3).

* Sun Jul 30 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.6-4
- Enable OpenLDAP support as requested by several users.
- Drop minimal version from GPGME build requirement
  (it's superfluous in our environments).

* Tue Jun 27 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.6-3
- Adapt upstream's patch for a crash with Turkish locales.

* Mon Jun 26 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.6-2
- Adapt upstream's patch to prevent a crash when switching folders
  (sylpheed-2.2.6-summaryview-crash.patch).

* Fri Jun  9 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.6-1
- Update to 2.2.6 (includes the smtp_timeout patch).

* Sat Jun  3 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.5-2
- Add smtp_timeout patch.
- Add display_folder_num_columns patch.

* Tue May 30 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.5-1
- Update to 2.2.5 (includes more "bold" fixes, too).

* Fri Mar 31 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.4-1
- Update to 2.2.4.

* Sun Mar 19 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3.
- Update external commands (defs.h) patch.

* Sat Feb 18 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0 (new stable series).
- BR gtkspell-devel.

* Wed Feb 15 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4-2
- rebuilt for FC5

* Thu Nov 10 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4 (security).

* Sat Oct 22 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3.

* Sat Oct  1 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2.

* Mon Sep  5 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1.

* Wed Aug 17 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-2
- rebuilt

* Sat Jul 30 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0.

* Tue Jul 26 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.4.rc
- Update to 2.0.0rc.

* Fri Jul 15 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.4.beta6
- Update to 2.0.0beta6 (feature freeze).

* Sun Jul 10 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.4.beta5
- Update to 2.0.0beta5.

* Tue Jul  5 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.4.beta4
- Update to 2.0.0beta4.

* Tue Jun 28 2005 Michael Schwendt <mschwendt@fedoraproject.org>
- remove work-around from previous entry again, bug has been fixed

* Sun Jun 26 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.2.beta3
- temporarily add BR libpng-devel to work around a broken cairo-devel
  package, which is pulled in and breaks the pkg-config dependency
  chain (#161688)

* Fri Jun 24 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.1.beta3
- Update to 2.0.0beta3.
- Patch1 (flexible OpenSSL pkg-config support) merged upstream.

* Fri Jun 17 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.1.beta2
- Update to 2.0.0beta2.

* Fri Jun 10 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.1.beta1
- Update to 2.0.0beta1.

* Mon May 30 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.9.12-1
- Update to 1.9.12 to get a bunch of fixes.

* Fri May 13 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.9.10-1
- Update to 1.9.10.
- Upstream incorporated some desktop file fixes.

* Fri Apr 22 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.9.9-1
- Update to 1.9.9.

* Mon Apr 18 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.9.8-1
- Update to 1.9.8.

* Thu Mar 31 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.9.7-1
- Update to 1.9.7.
- Patch4 (draftsegf) merged upstream.

* Sun Mar 20 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.9.6-1
- Update to 1.9.6 development release for testing purposes.

* Thu Mar 17 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0.3-2
- Fix segfault when reopening drafts.

* Sat Mar  5 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3.
- Enable support for GPGME 1.0 and compface.
- Apply common spec cleanup. Make desktop file UTF-8.

* Wed Jan  5 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.0-1
- New upstream release.

* Mon Dec 20 2004 Akira TAGOH <tagoh@redhat.com> - 1.0.0-0.1.rc
- New upstream release.

* Mon Nov 22 2004 Akira TAGOH <tagoh@redhat.com> - 1.0.0-0.1.beta3
- New upstream release.
- sylpheed-default-browser.patch: updated to apply cleanly.
- sylpheed.1: added a simple man page. (#129387)

* Wed Jun 23 2004 Akira TAGOH <tagoh@redhat.com> 0.9.12-1
- New upstream release.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Akira TAGOH <tagoh@redhat.com> 0.9.11-1
- New upstream release.

* Wed Mar 24 2004 Akira TAGOH <tagoh@redhat.com> 0.9.10-2
- sylpheed-default-browser.patch: applied to change the default browser to
  gnome-open. (#119007, Michael Schwendt)

* Wed Mar 10 2004 Akira TAGOH <tagoh@redhat.com> 0.9.10-1
- New upstream release.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Akira TAGOH <tagoh@redhat.com> 0.9.9-1
- New upstream release.

* Fri Jan 30 2004 Akira TAGOH <tagoh@redhat.com> 0.9.8a-3
- don't strip the binary. Thanks to Michael Schwendt
- use upstream's icon for the desktop file.
- install the desktop file using desktop-install-file

* Thu Jan 29 2004 Akira TAGOH <tagoh@redhat.com> 0.9.8a-2
- add _with_gpgme to build enabled gpgme support.
  NOTE: it's disabled as default. just define _with_gpgme to enable it.
